# IORInterceptor_Adapter.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/SystemException.h"`
`#include "tao/PI_ForwardC.h"`

Include dependency graph for IORInterceptor_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor
namespace | TAO

## Classes

class | TAO_IORInterceptor_Adapter
| TAO_IORInterceptor_Adapter. More...

## Typedefs

typedef IORInterceptor * | IORInterceptor_ptr
typedef IORInfo * | IORInfo_ptr
typedef ACE_Array_Base< ::PortableInterceptor::ObjectReferenceTemplate * > | ObjectReferenceTemplate_Array

## Detailed Description

Id
  IORInterceptor_Adapter.h,v 1.21 2005/12/22 14:54:50 elliott_c Exp

Author:
  Jeff Parsons <parsons@cs.wustl.edu>

## Typedef Documentation

typedef IORInfo* PortableInterceptor::IORInfo_ptr

typedef IORInterceptor * PortableInterceptor::IORInterceptor_ptr

typedef ACE_Array_Base< ::PortableInterceptor::ObjectReferenceTemplate*> TAO::ObjectReferenceTemplate_Array